<?php
	$css = CI_Theme_Customizer_CSS_Generator::get_instance();

	//
	// Typography
	//
	$value = get_theme_mod( 'global_typo_body', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', 'body, .site-logo { %s }' );

	$value = get_theme_mod( 'global_typo_h1', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', 'h1 { %s }' );

	$value = get_theme_mod( 'global_typo_h2', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', 'h2 { %s }' );

	$value = get_theme_mod( 'global_typo_h3', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', 'h3 { %s }' );

	$value = get_theme_mod( 'global_typo_h4', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', 'h4 { %s }' );

	$value = get_theme_mod( 'global_typo_h5', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', 'h5 { %s }' );

	$value = get_theme_mod( 'global_typo_h6', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', 'h6 { %s }' );

	$value = get_theme_mod( 'global_typo_form_text', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', 'input, textarea, select { %s }' );

	$value = get_theme_mod( 'global_typo_form_labels', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', 'form label, form .label { %s }' );

	$value = get_theme_mod( 'global_typo_buttons', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', '
		.btn,
		.button,
		button[type="submit"],
		input[type="submit"],
		input[type="reset"],
		input[type="button"],
		button,
		.comment-reply-link,
		.link-button { 
			%s 
		}'
	);

	$value = get_theme_mod( 'global_typo_widget_titles', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', '.widget-title { %s }' );

	$value = get_theme_mod( 'global_typo_widget_text', ci_theme_typography_control_defaults_empty_breakpoints() );
	$css->add_typography( $value, '', '.widget { %s }' );

